{{log 'settings-misc.hbs' this}}

<form autocomplete='off' onsubmit='event.preventDefault();'>
    <div class='settings-misc'>
        {{! psionics }}
        <fieldset>
            <legend>Psionics Settings</legend>

            <div class='form-group'>
                <label>{{localize 'Psionics'}}</label>
                <div class='form-fields'>
                    <input type='checkbox' name='usePsionics' data-dtype='Boolean' {{checked usePsionics}} />
                </div>
                <p class='notes'>{{localize 'Enable Psionics system core'}}</p>
            </div>
            <div class='form-group'>
                <label>{{localize 'Psionics Classic'}}</label>
                <div class='form-fields'>
                    <input type='checkbox' name='usePsionicsV1' data-dtype='Boolean' {{checked usePsionicsV1}} />
                </div>
                <p class='notes'>{{localize 'Use classic Psionics (v0/1) mechanics'}}</p>
            </div>

        </fieldset>

        {{!-- various workflow features - extendable --}}
        <fieldset>
            <legend>Workflow</legend>

            <div class='form-group'>
                <label>{{localize 'SETTINGS.useInfoHelper'}}</label>
                <div class='form-fields'>
                    <input type='checkbox' name='useInfoHelper' data-dtype='Boolean' {{checked useInfoHelper}} />
                </div>
                <p class='notes'>{{localize 'SETTINGS.useInfoHelperTT'}}</p>
            </div>

            <div class='form-group'>
                <label>{{localize 'SETTINGS.combineStack'}}</label>
                <div class='form-fields'>
                    <input type='checkbox' name='combineStack' data-dtype='Boolean' {{checked combineStack}} />
                </div>
                <p class='notes'>{{localize 'SETTINGS.combineStackTT'}}</p>
            </div>

            <div class='form-group'>
                <label>{{localize 'SETTINGS.macroDontCloneOnDrop'}}</label>
                <div class='form-fields'>
                    <input type='checkbox' name='macroDontCloneOnDrop' data-dtype='Boolean' {{checked macroDontCloneOnDrop}} />
                </div>
                <p class='notes'>{{localize 'SETTINGS.macroDontCloneOnDropTT'}}</p>
            </div>

        </fieldset>

        <fieldset>
            <legend>Rules</legend>
            {{!-- comeliness --}}
            <div class='form-group'>
                <label>{{localize 'Comeliness'}}</label>
                <div class='form-fields'>
                    <input type='checkbox' name='useComeliness' data-dtype='Boolean' {{checked useComeliness}} />
                </div>
                <p class='notes'>{{localize
                    'Enable additional Comeliness Ability - using rules from UA.'
                    }}</p>
            </div>

            {{!-- honor --}}
            <div class='form-group'>
                <label>{{localize 'Honor'}}</label>
                <div class='form-fields'>
                    <input type='checkbox' name='useHonor' data-dtype='Boolean' {{checked useHonor}} />
                </div>
                <p class='notes'>{{localize
                    'Enable additional Honor Ability - OA.'
                    }}</p>
            </div>
        </fieldset>

        {{!-- experimental features --}}
        <fieldset>
            <legend>Experimental or BETA</legend>

            {{!-- experimental (general) --}}
            <div class='form-group'>
                <label>{{localize 'Experimental (General)'}}</label>
                <div class='form-fields'>
                    <input type='checkbox' name='useExperimental' data-dtype='Boolean' {{checked useExperimental}} />
                </div>
                <p class='notes'>{{localize
                    'Enable experimental features (various) as they become available - subject to rapid change'
                    }}</p>
            </div>

            {{!-- ascending AC --}}
            <div class='form-group variant2-feature'>
                <label>{{localize 'Ascending AC (variant 2)'}}</label>
                <div class='form-fields'>
                    <input type='checkbox' name='useAscendingAC' data-dtype='Boolean' {{checked useAscendingAC}} />
                </div>
                <p class='notes'>{{localize
                    'Enable experimental Ascending AC output for variant 2'
                    }}</p>
            </div>

        </fieldset>

        <button type='submit' name='submit'><i class='fas fa-save'></i>{{localize 'Submit'}}</button>
    </div>
</form>